import { ChangeDetectorRef } from '@angular/core';
import { SdFormGenericChipCalendar } from '../../../../../models';
import { BuilderService } from '../../../services';
import * as i0 from "@angular/core";
export declare class ChipCalendarControl {
    #private;
    private ref;
    private builderService;
    component: SdFormGenericChipCalendar;
    set _component(component: SdFormGenericChipCalendar);
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipCalendarControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipCalendarControl, "chip-calendar-control", never, { "_component": { "alias": "component"; "required": true; }; }, {}, never, never, true, never>;
}
